Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.plugins
Class Include

    java.lang.Object
      rdlc.plugins.Include

All Implemented Interfaces:
  Plugin

    public class Include

extends java.lang.Object
implements Plugin

This plugin simply copies a given file into the output path and renames it. This is useful for including the implemented shells for various units. The argument, consists of a source path and a output file name separated by a comma, the source path may be in quotes.

Version:
  $Revision: 1.8 $
Author:
  Greg Gibeling

Field Summary
`protected java.util.Hashtable<java.lang.String,java.lang.String>` | `includes` Hashtabel mapping output files to input files.

Constructor Summary
`Include()` Empty constructor.

Method Summary
`void` | `copy(java.lang.String inputFileName, java.lang.String outputFileName, Command command)` TODO: Javadoc
`void` | `finish(Command command)` Finish all of the tasks this plugin wishes to perform.
`void` | `invokeBackEnd(Instance instance, java.lang.String argument, Log errorLog, java.lang.String language)` Invoke this plugin for the specific instance given.
`void` | `invokeFrontEnd(Instance instance, java.lang.String _argument, Log errorLog)` Invoke this plugin for the specific instance given.
`void` | `load(java.lang.String config)` Load this plugin and start it working.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### includes

    protected java.util.Hashtable<java.lang.String,java.lang.String> includes

  Hashtabel mapping output files to input files. Helps avoid copying to the same output file twice!

Constructor Detail

### Include

    public Include()

  Empty constructor.

Method Detail

### load

    public void load(java.lang.String config)

  Description copied from interface: `Plugin`
  Load this plugin and start it working. This method is mostly responsible for givng the plugin access to the command which will be invoking it, and an error list for reporting later problems.

  Specified by:
    `load` in interface `Plugin`
  Parameters:
    `config` - A string copied from the RDLC XML config file.
  See Also:
    `Plugin.load(String)`

### invokeFrontEnd

    public void invokeFrontEnd(Instance instance,
                               java.lang.String _argument,
                               Log errorLog)

  Description copied from interface: `Plugin`
  Invoke this plugin for the specific instance given. This may perform some generic operation, or it may perform an instance specific task such as assembling unit instances. This method should not attempt to create output files. This method may add instances, assemble them, change attributes etc.

  Specified by:
    `invokeFrontEnd` in interface `Plugin`
  Parameters:
    `instance` - The RDL instance in which a plugin invocation was specified.
    `_argument` - The argument given for this invocation in the source RDL.
    `errorLog` - Log of errors to be reported to the user.
  See Also:
    `Plugin.invokeFrontEnd(Instance, String, Log)`

### invokeBackEnd

    public void invokeBackEnd(Instance instance,
                              java.lang.String argument,
                              Log errorLog,
                              java.lang.String language)

  Description copied from interface: `Plugin`
  Invoke this plugin for the specific instance given. This may perform some generic operation, or it may perform an instance specific task such as assembling unit instances. This method should not attempt to create output files. However it may schedule the creation of a unit implementation for execution during `finish()`.

  Specified by:
    `invokeBackEnd` in interface `Plugin`
  Parameters:
    `instance` - The RDL instance in which a plugin invocation was specified.
    `argument` - The argument given for this invocation in the source RDL.
    `errorLog` - Log of errors to be reported to the user.
    `language` - The name of the output language being generated.
  See Also:
    `Plugin.invokeBackEnd(Instance, String, Log, String)`

### finish

    public void finish(Command command)

  Description copied from interface: `Plugin`
  Finish all of the tasks this plugin wishes to perform. The plugin should close all open files and shut down any spawned processes in preparation for finishing the RDLC compile task. This is also where compilers, synthesis, PAR and other back end tools will be invoked.

  Specified by:
    `finish` in interface `Plugin`
  Parameters:
    `command` - The command which will be invoking this plugin.
  See Also:
    `Plugin.finish(Command)`

### copy

    public void copy(java.lang.String inputFileName,
                     java.lang.String outputFileName,
                     Command command)

  TODO: Javadoc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD